function FIGURE_ShowROC_SSDBResults(caResultsNames, caLineString, caColorString, options);
% function FIGURE_ShowDET_SSDBResults(caResultsNames);
% 
% 

 d.bUseDET = 0;
 d.bLegend = 1;
 if(nargin < 4), options = []; end
 options = ResolveMissingOptions(options,d);
  
 Root = '/cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector/RocsPlus/';
 nLines = length(caResultsNames);
 if(nargin < 3)
   caColorString = {};
 end
 if(nargin < 2)
   caLineString = {};
 end
 cla
 for i = 1:nLines
   if(length(caColorString) < i)
     caColorString{i} = RandColor;
   end
   if(length(caLineString) < i)
     caLineString{i} = 'k-';
   end
 end
 for i = 1:nLines;
   D = load(fullfile(Root,caResultsNames{i}));
   if(options.bUseDET)
     ShowDET(D.ROC,caLineString{i}, caColorString{i},2);
     hold on
   else
     ShowROC(D.ROC,caLineString{i}, caColorString{i},2);
     hold on
   end
   Lns{i} = caResultsNames{i};
 end
 %  axis([0 .1 0 1]);
 if(options.bLegend)
   L = legend(Lns);
  set(L,'FontSize',8);
 end
 if(options.bUseDET)
  title('StreetScenes DET');
  xlabel('False Positive Rate');
  ylabel('miss rate (1 - recall)');
  
 else
  L = legend(Lns);
  title('StreetScenes ROC');
  xlabel('False Positive Rate');
  ylabel('detection rate');
 end
 
